Your projects whose repo is on GitHub
curl --request GET \
--url https://patch.gg/api/v1/me/github/projects \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/github/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/github/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "sam",
"slug": "sky-mod",
"github": {
"repo_id": 123,
"full_name": "sam/sky-mod",
"html_url": "https://github.com/sam/sky-mod",
"default_branch": "main",
"private": true,
"head_commit": "<string>",
"pushed_at": "2023-11-07T05:31:56Z",
"state": "connected"
}
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}GitHub
Your projects whose repo is on GitHub
Every project of the orgs you’re in that has had a GitHub repo connected, with where that repo stands, disconnected and gone from GitHub included. The newest connection first.
GET
/
me
/
github
/
projects
Your projects whose repo is on GitHub
curl --request GET \
--url https://patch.gg/api/v1/me/github/projects \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/github/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/github/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "sam",
"slug": "sky-mod",
"github": {
"repo_id": 123,
"full_name": "sam/sky-mod",
"html_url": "https://github.com/sam/sky-mod",
"default_branch": "main",
"private": true,
"head_commit": "<string>",
"pushed_at": "2023-11-07T05:31:56Z",
"state": "connected"
}
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}